### Class

# Clutter LayoutMeta

since: 13

#### Description [src]

    abstract class Clutter.LayoutMeta : Clutter.ChildMeta
    {
      manager: ClutterLayoutManager*
    }

Wrapper for actors inside a layout manager

`ClutterLayoutMeta` is a wrapper object created by `ClutterLayoutManager` implementations in order to store child-specific data and properties.

A `ClutterLayoutMeta` wraps a `ClutterActor` inside a `ClutterContainer` using a `ClutterLayoutManager`.

Available since: 13

#### Ancestors

- ClutterChildMeta
- GObject

#### Instance methods

###### clutter_layout_meta_get_manager

Retrieves the actor wrapped by `data`.

since: 13

##### Methods inherited from ClutterChildMeta (2)

###### clutter_child_meta_get_actor

Retrieves the actor wrapped by `data`.

since: 13

###### clutter_child_meta_get_container

Retrieves the container using `data`.

since: 13

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.LayoutMeta:manager

The `ClutterLayoutManager` that created this `ClutterLayoutMeta`.

since: 13

##### Properties inherited from ClutterChildMeta (2)

###### Clutter.ChildMeta:actor

The `ClutterActor` being wrapped by this `ClutterChildMeta`.

since: 13

###### Clutter.ChildMeta:container

The `ClutterContainer` that created this `ClutterChildMeta`.

since: 13

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct ClutterLayoutMetaClass {
      /* no available fields */
    }

The `ClutterLayoutMetaClass` contains only private data and should never be accessed directly.